//data = {'language':'ru','threads':5,'timeout':15,'use_proxy':1or 2 or 3,'api_id':'sreygrds','api_hash':'strjdrftjuftjk'}

let options = {
    threads: 0,
    threads_functions: 0,
    timeout: 0,
    timeout_proxy: 0,
    number_acc_proxy: 0,
    proxy_mode: 0,
    proxy_check_mode: 0,
    work_log_mode: 0,
};

$('#save_settings').on('click', async function () {
    if ($('#number_threads').val() == '') {
        options.threads = 5;
    } else {
        options.threads = Number($('#number_threads').val())
    }
    if ($('#number_threads_functions').val() == '') {
        options.threads_functions = 20;
    } else {
        options.threads_functions = Number($('#number_threads_functions').val())
    }
    if ($('#timeout').val() == '') {
        options.timeout = 45;
    } else {
        options.timeout = Number($('#timeout').val())
    }
    if ($('#timeout_proxy').val() == '') {
        options.timeout_proxy = 15;
    } else {
        options.timeout_proxy = Number($('#timeout_proxy').val())
    }
    if ($('#number_acc_proxy').val() == '') {
        options.number_acc_proxy = 2;
    } else {
        options.number_acc_proxy = Number($('#number_acc_proxy').val())
    }

    if ($('#mode_acc_proxy').is(':checked')){
        options.proxy_mode = 1;
    } else {
        options.proxy_mode = 0;
    }

    if ($('#work_check_proxy').is(':checked')){
        options.proxy_check_mode = 1;
    } else {
        options.proxy_check_mode = 0;
    }

    if ($('#work_log').is(':checked')){
        options.work_log_mode = 1;
    } else {
        options.work_log_mode = 0;
    }


    let json = JSON.stringify(options);
    await eel.save_settings(json)(); //////////////////////// СОХРАНЕНИЕ НАСТРОЕК
    console.log(json);
    success('Настройки успешно сохранены');
});

$('#mode_acc_proxy').on('click', function () {
    if ($('#mode_acc_proxy').is(':checked')){
        $('.number_acc_proxy_input').removeClass('d-none');
    } else {
        $('.number_acc_proxy_input').addClass('d-none');
    }
})


$('#clear_all_cash').on('click', function () {
    localStorage.clear();
    success('Кеш браузера очищен!');
})

reload_settings();
async function reload_settings() {
    let json = await eel.load_settings()();//ТУТ ВЫЗОВ ТВОЕГО МЕТОДА ДЛЯ ПОЛУЧЕНИЯ JSON
    temp = JSON.parse(json);
    console.log(temp)
    let key = temp['key']
    let key_none = key;
    key_none = key_none.slice(0, -10);
    key_none = key_none + '**********';
    $('#my_key').text(key_none);

    $('#show_key').on('click', function () {
        $('#my_key').text(key);
        $("#show_key").hide();
    })

    $('#version_program').text(temp['version']); // Вывести версию

    if(temp['proxy_mode'] == 1){
        $('#mode_acc_proxy').prop('checked', true);
        $('.number_acc_proxy_input').removeClass('d-none');
    } else {
        $('#mode_acc_proxy').prop('checked', false);
    }

    if(temp['proxy_check_mode'] == 1){
        $('#work_check_proxy').prop('checked', true);
    } else {
        $('#work_check_proxy').prop('checked', false);
    }

    if(temp['work_log_mode'] == 1){
        $('#work_log').prop('checked', true);
    } else {
        $('#work_log').prop('checked', false);
    }

    $('#number_threads').val(temp['threads']);
    $('#number_threads_functions').val(temp['threads_functions']);
    $('#timeout').val(temp['timeout']);
    $('#timeout_proxy').val(temp['timeout_proxy']);
    $('#number_acc_proxy').val(temp['acc_on_proxy']);
}

function success(text) {
    Swal.fire({
        position: 'center',
        icon: 'success',
        title: 'Успех',
        text: text,
        showConfirmButton: false,
        timer: 1900
    })
}

function error(text) {
    Swal.fire({
        position: 'center',
        icon: 'error',
        title: 'Ошибка',
        text: text,
        showConfirmButton: false,
        timer: 3200
    })
}